aboutsummaryrefslogtreecommitdiffstats
path: root/testing/recordmydesktop/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-07-17 19:44:27 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-07-17 19:46:07 +0000
commit60937c3d088fb999e9a95999e0420af7229ecef3 (patch)
tree2016060ebb8679547759ae5a4189ab53ce8fabaa /testing/recordmydesktop/APKBUILD
parentbcebf7b2dd8a48c9c230fc38b7a737a103b124a9 (diff)
downloadaports-60937c3d088fb999e9a95999e0420af7229ecef3.tar.gz
aports-60937c3d088fb999e9a95999e0420af7229ecef3.tar.bz2
aports-60937c3d088fb999e9a95999e0420af7229ecef3.tar.xz
testing/recordmydesktop: new aport
Produces a OGG encapsulated Theora/Vorbis recording of your desktop http://recordmydesktop.sourceforge.net
Diffstat (limited to 'testing/recordmydesktop/APKBUILD')
-rw-r--r--testing/recordmydesktop/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/testing/recordmydesktop/APKBUILD b/testing/recordmydesktop/APKBUILD
new file mode 100644
index 0000000000..838292f627
--- /dev/null
+++ b/testing/recordmydesktop/APKBUILD
@@ -0,0 +1,37 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=recordmydesktop
+pkgver=0.3.8.1
+pkgrel=0
+pkgdesc="Produces a OGG encapsulated Theora/Vorbis recording of your desktop"
+url="http://recordmydesktop.sourceforge.net"
+license="GPL"
+depends=""
+makedepends="alsa-lib-dev zlib-dev libvorbis-dev libxdamage-dev libxext-dev
+ libtheora-dev libsm-dev"
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/recordmydesktop/recordmydesktop-$pkgver.tar.gz
+ shmstr-to-shmproto.patch
+ recordmydesktop-bitrate.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ patch -p0 < $srcdir/shmstr-to-shmproto.patch
+ patch -p1 < $srcdir/recordmydesktop-bitrate.patch
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --disable-jack \
+ || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="6998b165540598965499bd99d8aa0eef recordmydesktop-0.3.8.1.tar.gz
+211a1773f223b3f281520aa1056395e6 shmstr-to-shmproto.patch
+b0794a769efd287e9e8c5fb8c3299b35 recordmydesktop-bitrate.patch"